Bug 70807 - Can't use config tool to set 'no firewall'
Summary: Can't use config tool to set 'no firewall'
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-lokkit (Show other bugs)
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
: 68820 72426 72603 (view as bug list)
Depends On:
Blocks: 67217
TreeView+ depends on / blocked
 
Reported: 2002-08-05 17:20 UTC by Jay Turner
Modified: 2015-01-07 23:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-27 16:34:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch fixes it for me. (357 bytes, patch)
2002-08-21 09:40 UTC, Tim Waugh
no flags Details | Diff

Description Jay Turner 2002-08-05 17:20:08 UTC
Description of Problem:
When running redhat-config-securitylevel-0.9.6-3, I can set the firewall to
'high' or 'medium', but if I attempt to set the firewall to 'no firewall' I get 
"iptables: No chain/target/match by that name" when I click 'Yes' to accept the
change.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Brent Fox 2002-08-06 18:19:04 UTC
The behavior for lokkit has changed.  Calling "lokkit -q --disabled" returns:
iptables: No chain/target/match by that name

Please make lokkit behave like it used to.  Running "lokkit --help" still shows
--disabled as a valid option.

Comment 2 Jay Turner 2002-08-09 18:15:15 UTC
*** Bug 68820 has been marked as a duplicate of this bug. ***

Comment 3 Tim Waugh 2002-08-21 09:40:09 UTC
Created attachment 71865 [details]
This patch fixes it for me.

Comment 4 Tim Waugh 2002-08-21 09:50:50 UTC
Fixed package is 0.50-16.

Comment 5 Jay Turner 2002-08-21 19:25:47 UTC
Fix confirmed with gnome-lokkit-0.50-16.

Comment 6 Bill Nottingham 2002-08-23 20:42:45 UTC
*** Bug 72426 has been marked as a duplicate of this bug. ***

Comment 7 Bill Nottingham 2002-08-26 05:24:58 UTC
*** Bug 72603 has been marked as a duplicate of this bug. ***

Comment 8 Bill Nottingham 2002-08-26 05:30:53 UTC
Additional comment by knut@orion.no 2002-08-24 12:59:11

The problem is still present in gnome-lokkit-0.50-17 from rawhide.

Comment 9 Bill Nottingham 2002-08-26 05:31:04 UTC
*** Bug 72426 has been marked as a duplicate of this bug. ***

Comment 10 Tim Waugh 2002-08-27 09:30:42 UTC
Hmm, 'lokkit -q --disabled' works now, but gnome-lokkit is running: 
 
iptables -F RH-Lokkit-0-50-INPUT 
 
When there is already no firewall, this just gives an error message.  But it 
seems to be functioning correctly---or are you seeing something different? 
 
This ought to have stderr redirected to /dev/null I suppose.

Comment 11 Tim Waugh 2002-08-27 10:30:39 UTC
Come to think of it, should 'lokkit -q --disabled' be running:  
 
iptables -F input 
 
or: 
 
iptables -F RH-Lokkit-0-50-INPUT 
 
? 
 
(Currently it does the former, since I changed it from 'iptables -F INPUT')

Comment 12 Tim Waugh 2002-08-27 16:34:08 UTC
Changed it to use: 
 
iptables -D INPUT -j RH-Lokkit-0-50-INPUT 2>/dev/null 
iptables -F RH-Lokkit-0-50-INPUT 2>/dev/null 
iptables -X RH-Lokkit-0-50-INPUT 2>/dev/null 
 
in gnome-lokkit-0.50-18.

Comment 13 Jay Turner 2002-08-28 16:17:38 UTC
Looks good to me.


Note You need to log in before you can comment on or make changes to this bug.